#
# spec file for package retroarch-joypad-autoconfig
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           retroarch-joypad-autoconfig
Version:        0~git20200429
Release:        bp154.1.19
Summary:        RetroArch Joypad Autoconfig Files
License:        MIT
Group:          System/Emulators/Other
URL:            https://github.com/libretro/retroarch-joypad-autoconfig

Source:         %{name}-%{version}.tar.xz

BuildRequires:  fdupes
BuildRequires:  make
BuildArch:      noarch

Requires:       retroarch

%description
This package provides joypad autoconfig files for Retroarch. RetroArch is the reference frontend for the libretro API.

Autoconfig files included in this package are used to recognize input devices and automatically setup default mappings between the physical device and Retropad virtual controller.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/libretro/autoconfig
cp udev/*.cfg %{buildroot}%{_datadir}/libretro/autoconfig
%fdupes -s %{buildroot}

%files
%doc README.md
%license COPYING
%dir %{_datadir}/libretro
%{_datadir}/libretro/autoconfig
%{_datadir}/libretro/autoconfig/*.cfg

%changelog
* Thu May  7 2020 i@guoyunhe.me
- Update to version 0~git20200429:
  * Update and rename Moonlight_Virtual_Controller.cfg to NVIDIA_GeForce_Experience_Virtual_Controller.cfg
  * Update and rename Xbox_One_Controller_Moonlight.cfg to Moonlight_Virtual_Controller.cfg
  * Add Xbox One Wired autoconfig
  * add udev, sdl2 and linuxraw autoconfigs for New Wave Toys' mini SF2 arcade stick
  * Initial version
  * Add SEGA Mega Drive Mini W 6-Button auto config file. (#635)
  * Correct the A and B buttons being swapped for MayFlash GCN Adapter
  * Add MayFlash Gamecube Adapter for xinput/udev
* Thu Mar 26 2020 i@guoyunhe.me
- Update to version 0~git20200317:
  * replace hex vid/pids with decimal; hat-tip to offalynne; closes #631
  * Add Retro-bit Saturn Bluetooth controller autoconfigs (Dinput and Xin… (#630)
  * Added Thrustmaster T-Flight Joystick (#629)
  * Add Nintendo Switch SNES Controller
  * Add odroidgo2_joypad.cfg to support odroid go advance
  * Add/Update Switch-compatible controllers (#623)
  * iPEGA PG-9083S bluetooth controller (#606)
  * Change That fixes RetroLink N64 Controller Compatibility (#618)
  * add DragonRise Inc. Generic USB Joystick for Digger USB 2.0 Joypad from flathub (#614)
  * Add "ShanWan PC_PS3_Android" profile gamepad (#611)
  * Create JY-P62U Series ONLINE GRIP.cfg (#616)
  * Create Sanmos JY-P62U Series ONLINE GRIP.cfg (#615)
  * Create JY-P62U Series ONLINE GRIP.cfg
  * Moved to appropriate folder
  * Profile for a wired Dualshock 4 V2 controller
  * Add SDL Buffalo Controller
* Fri Jan 10 2020 i@guoyunhe.me
- Update to version 0~git20200104:
  * Fix stick axis in dinput SQONYY_gamepad.cfg
  * fix select button in DS4 on Android
  * Add 8BitDo Zero2 gamepad (#603)
  * Create Tomee_NES_to_USB_Adapter.cfg
  * Update android config
  * Add 8BitDo Zero 2 gamepad
  * Create iNNEXT SNES Gamepad.cfg
  * Add config for Mayflash Arcade Fightstick F101 XInput mode
  * Remap triggers and Z button on GameCube controller
  * add additional ports for Wii U GameCube Adapter
  * Right Analog fixes.
  * Mayflash Arcade Fightstick F101 minor tweaks
  * Add Menu button mapping for Mayflash Arcade Fightstick F101
  * Add config for Mayflash Arcade Fightstick F101
  * Update Logitech Cordless RumblePad 2.cfg
  * Add config for moga pro (#588)
  * Create Retro-Bit_Genesis_8_Button_Arcade_Pad (#587)
  * Add MD Mini 3 button controller xinput config
  * Add PDP Wired Controller for Xbox One - Camo Series (udev)
  * Speedlink (#581)
  * Add Spartan Gear Oplon xinput & dinput configs
  * XInput Switch SNES Controller
  * Add configs for Spartan Gear Oplon
  * Human friendly display name
  * Add Mayflash MD USB Adapter Config
  * Add Atomic PSX/PS2 Pad Converter xinput
  * Add Atomic PSX/PS2 Pad Converter dinput
  * Remove execution bit from cfg files
* Sat Sep 21 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version from Git
